# TODO: lib ?
%define module_name	rt73
%define module_version 1.0.0
%define rel 2007110407
%define module_release alt2

%define firmware_name %module_name
%define ksource kernel-source-%module_name-%module_version

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release

Summary: Kernel module for wireless 802.11b and 802.11g cards that are based on the Ralink rt73 chipset

License: GPL
Group: Development/Kernel
Url: http://rt2x00.serialmonkey.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch

#Source: http://dl.sf.net/rt2500/%module_name-%version%rel.tar.bz2
Source: http://rt2x00.serialmonkey.com/%module_name-cvs-daily.tar.bz2
#Patch1: %module_name-%version.patch

%description
This project is a development effort to create a stable and feature rich
Linux driver for wireless 802.11b and 802.11g cards that are based on
the Ralink rt73 chipset.

%package -n firmware-%firmware_name
Summary: Firmware for the Ralink rt73 chips
Group: System/Kernel and hardware
License: GPL

%description -n firmware-%firmware_name
This package contains the firmware for the Ralink rt73 chips (rt73 driver).
Usage of the firmware is subject
to the terms contained in %_docdir/firmware-%firmware_name-%version/LICENSE.
Please read the license carefully.

%prep
%setup -q -n %module_name-cvs-%rel
#%patch1 -p1

# TODO: CHANGELOG
%install
mkdir -p %buildroot%_usrsrc/kernel/sources/
rm -rf %ksource
cp -a Module %ksource
tar -c %ksource | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/%ksource.tar.bz2

# install firmware
echo "config for RT73, fix me!" >rt73sta.dat
install -m644 -D rt73sta.dat %buildroot%_sysconfdir/Wireless/RT73STA/rt73sta.dat
install -m644 -D Module/rt73.bin %buildroot/%_lib/firmware/rt73.bin

%files
%attr(644,root,root) %_usrsrc/kernel/sources/%ksource.tar.bz2

%files -n firmware-%firmware_name
%doc LICENSE
%dir %_sysconfdir/Wireless/RT73STA/
%config(noreplace) %_sysconfdir/Wireless/RT73STA/rt73sta.dat
/%_lib/firmware/rt73.bin

%changelog
* Sun Nov 04 2007 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt2
- cvs build from 20071104
- separate package with firmware
- add initial config, cleanup spec

* Tue Oct 23 2007 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt1
- initial build for ALT Linux Sisyphus

